/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software 
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or 
 * redistribute the software under the terms of the CeCILL license as 
 * circulated by CEA, CNRS and INRIA at the following URL 
 * "http://www.cecill.info". 
 * As a counterpart to the access to the source code and rights to copy, modify 
 * and redistribute granted by the license, users are provided only with a 
 * limited warranty and the software's author, the holder of the economic 
 * rights, and the successive licensors have only limited liability. In this 
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user 
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is 
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the 
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally, 
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge 
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.carambole.server.components;

// Generated by the WOLips Templateengine Plug-in at 18 dec. 2006 06:20:53

import org.cocktail.carambole.server.MyAjaxComponent;

import com.webobjects.appserver.WOComponent;
import com.webobjects.appserver.WOContext;
import com.webobjects.appserver.WOResponse;

import er.ajax.CktlAjaxUtils;

public class ErrorPage extends MyAjaxComponent {

	private static final long serialVersionUID = 1L;
	public String observations = null;
	public String message = null;

	public ErrorPage(WOContext context) {
		super(context);
	}

	public void appendToResponse(WOResponse res, WOContext ctx) {
		super.appendToResponse(res, ctx);
		CktlAjaxUtils.addStylesheetResourceInHead(ctx, res, "FwkCktlThemes.framework", "themes/mac_os_x.css");
		CktlAjaxUtils.addStylesheetResourceInHead(ctx, res, null, "css/carambole.css");
	}

	public WOComponent revenirSurAccueil() {
		Accueil nextPage = (Accueil) session.getSavedPageWithName("Accueil");

		session.setNestedEdc(null);
		session.setLaCommandeEnCours(null);
		session.setLaDepensePapierEnCours(null);
		session.setAlertMessage(null);

		return nextPage;
	}

	public String getObservations() {
		return observations;
	}

	public void setObservations(String observations) {
		this.observations = observations;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}